commit:     c9b6071177d5e7a02b754d1d60cc57b0a2d63f08
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 23 05:35:26 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 23 05:38:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9b60711

dev-python/cheroot: Bump to 10.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cheroot/Manifest              |  1 +
 dev-python/cheroot/cheroot-10.0.1.ebuild | 90 ++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index ccec99c932d8..341e95cd1259 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1 +1,2 @@
 DIST cheroot-10.0.0.tar.gz 148461 BLAKE2B 
d6a07878b03529be0d7ebefc91096f89b437374f9ede1db357a286bc199403798d35e9695dc1251d5045b6febc37940986693d9b36c89968ac3147ec68a481ea
 SHA512 
02e32e52a596463cbb9874a800dbcdc5680dd7d9dfa95ca6e73c81f9248a488087c514ae70cdba94fe9df1f5d3ab1c68efcb720561cbeb7b667109fe5962f85b
+DIST cheroot-10.0.1.tar.gz 167586 BLAKE2B 
d8c882c3d16d29a2f97f35542321fd0aba4d0f9b310bc1359f9b832362e2d75424077d02d9a810a33a1bd10cf2ba9922a8baf8519dbd04c5e6f9b48edd3c3db1
 SHA512 
c878647a7bcf564509ee07481b3e371a2e09019d78240e79293bc4e0bfa872e8e2f947925c54eda56cc1790a3ff4d656c70066278c74073b44fc070627f5c71d

diff --git a/dev-python/cheroot/cheroot-10.0.1.ebuild 
b/dev-python/cheroot/cheroot-10.0.1.ebuild
new file mode 100644
index 000000000000..f071256b7bc2
--- /dev/null
+++ b/dev-python/cheroot/cheroot-10.0.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="High-performance, pure-Python HTTP server used by CherryPy"
+HOMEPAGE="
+       https://cherrypy.dev/
+       https://pypi.org/project/cheroot/
+       https://github.com/cherrypy/cheroot/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+       >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]
+       dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/setuptools-scm-7.0.0[${PYTHON_USEDEP}]
+       test? (
+               dev-python/jaraco-context[${PYTHON_USEDEP}]
+               dev-python/jaraco-text[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pytest-forked[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-1.11.0[${PYTHON_USEDEP}]
+               dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+               dev-python/urllib3[${PYTHON_USEDEP}]
+               test-rust? (
+                       dev-python/pyopenssl[${PYTHON_USEDEP}]
+                       dev-python/trustme[${PYTHON_USEDEP}]
+               )
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -e '/--cov/d' \
+               -e '/--testmon/d' \
+               -e '/--numproc/d' \
+               -i pytest.ini || die
+
+       # broken
+       sed -i -e '/False.*localhost/d' cheroot/test/test_ssl.py || die
+       # pypytools is py2 stuff
+       sed -i -e '/pypytools/d' cheroot/test/test_server.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires pypytools, see above
+               
cheroot/test/test_server.py::test_high_number_of_file_descriptors
+               # known test failures with OpenSSL 3.2.0
+               cheroot/test/test_ssl.py::test_https_over_http_error
+       )
+
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               # https://github.com/cherrypy/cheroot/issues/695
+                               
cheroot/test/test_conn.py::test_remains_alive_post_unhandled_exception
+                       )
+                       ;;
+       esac
+
+       local EPYTEST_IGNORE=()
+       if ! has_version "dev-python/pyopenssl[${PYTHON_USEDEP}]" ||
+               ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"
+       then
+               EPYTEST_IGNORE+=(
+                       cheroot/test/test_ssl.py
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p pytest_mock
+}

Reply via email to